sábado, 20 de diciembre de 2014

La galleta de la desgracia ataca a millones de routers

Investigadores de Check Point han descubierto una vulnerabilidad en al menos 12 millones de routers domésticos que podría permitir a un atacante remoto tomar el control de los dispositivos afectados.

La vulnerabilidad, con CVE-2014-9222, ha sido bautizada como "misfortune cookie" ("galleta de la desgracia"), debido a un error en el mecanismo de gestión de cookies HHTP existente en servidor web RomPager de AllegroSoft. Este software de servidor web es posiblemente uno de los más extendidos en todo el mundo dado que son varios los fabricantes que lo incluyen.

Según el aviso de CheckPoint se han detectado hasta 200 modelos diferentes de routers afectados de diferentes marcas que incluyen a D-Link, Edimax, Huawei, TP-Link, ZTE y ZyXEL entre otras.

El ataque podría permitir a un atacante remoto tomar el control del router, con lo que podría realizar ataques de hombre en el medio, redirigir el tráfico, robar credenciales, infectar sistemas o acceder a cualquier máquina conectada a la red a través del router atacado.

La información de Check Point no ofrece detalles sobre el problema, sin embargo todo indica que el problema es bastante fácil de explotar

"Lo único que necesitan los atacantes para explotar la galleta de la desgracia es enviar un solo paquete a su dirección IP pública. No se requieren herramientas de hacking, solo un simple navegador moderno." ("All an attacker needs in order to exploit Misfortune Cookie is to send a single packet to your public IP address. No hacking tools required, just a simple modern browser.")

Todo indica que este es uno de esos problemas corregidos desde hace tiempo, pero que por diversas causas nunca llega a ser parcheado adecuadamente. La vulnerabilidad se introdujo en el código base en 2002, pero AllegroSoft ya había publicado y ofrecido a los fabricantes versiones actualizadas del software en el año 2005. Sin embargo todo indica que muchos dispositivos actuales aun incluyen una versión vulnerable. AllegroSoft ha confirmado que el problema afecta a las versiones de RomPager inferiores a la 4.34.

Ahora, es cuestión de que los fabricantes obtengan una versión actualizada de RomPager, la integren en el firmware actual de todos los modelos afectados, publiquen la nueva versión y los usuarios y/o los proveedores de servicio deberán instalar la actualización en los routers vulnerables.

Más información:

Misfortune Cookie

Check Point Misfortune cookie – Suspected vulnerable model list

Check Point protecting against misfortune cookie and TR-069 ACS vulnerabilities

Allegro Software Urges ManufacturersTo Maintain Firmware for Highest Level of Embedded Device Security

Vulnerability Note VU#561444
Multiple broadband routers use vulnerable versions of Allegro RomPager



Antonio Ropero

Twitter: @aropero

No hay comentarios:

Publicar un comentario en la entrada